Bug 410241 - YUM Repo Fault
YUM Repo Fault
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.1
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: James Antill
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 07:34 EST by Andrew Fossey
Modified: 2008-01-23 19:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 19:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Internode Repo (2.38 KB, application/octet-stream)
2007-12-04 07:37 EST, Andrew Fossey
no flags Details

  None (edit)
Description Andrew Fossey 2007-12-04 07:34:44 EST
Component: Software Updater
Summary: TB0d6d4bb3 __init__.py:774:downloadHeader:Rep­ oError: failure: 
RPMS/libpng-devel-1.2.10-7.1.el5_0­ .1.i386.rpm from update: [Errno 256] No more 
mirrors to try.

Traceback (most recent call last):
File "/usr/sbin/pup", line 438, in _apply
self.applyChanges(self.mainwin)
File "/usr/lib/python2.4/site-packages/­ pirut/__init__.py", line 557, in 
applyChanges
self.checkDeps(mainwin)
File "/usr/lib/python2.4/site-packages/­ pirut/__init__.py", line 322, in 
checkDeps
self.populateTs(keepold=0)
File "/usr/lib/python2.4/site-packages/­ yum/depsolve.py", line 150, in 
populateTs
self.downloadHeader(txmbr.po)
File "/usr/lib/python2.4/site-packages/­ yum/__init__.py", line 774, in 
downloadHeader
raise Errors.RepoError, saved_repo_error
RepoError: failure: RPMS/libpng-devel-1.2.10-7.1.el5_0­ .1.i386.rpm from update: 
[Errno 256] No more mirrors to try.

Local variables in innermost frame:
errors: {}
e: [Errno 2] No such file or directory: '//var/cache/yum/update/headers/li­ bpng-
devel-1.2.10-7.1.el5_0.1.i386­ .hdr'
self: <__main__.PackageUpdater object at 0x9e814cc>
saved_repo_error: failure: RPMS/libpng-devel-1.2.10-7.1.el5_0­ .1.i386.rpm from 
update: [Errno 256] No more mirrors to try.
repo: update
checkfunc: (<bound method PackageUpdater.verifyHeader of 
<__main__.PackageUpdater object at 0x9e814cc>>, (<yum.sqlitesack.YumAvailablePa­ 
ckageSqlite object at 0xa1d49ac>, 1), {})
local: //var/cache/yum/update/headers/lib­ png-devel-1.2.10-7.1.el5_0.1.i386.­ hdr
po: libpng-devel - 2:1.2.10-7.1.el5_0.1.i386
Comment 1 Andrew Fossey 2007-12-04 07:37:25 EST
Created attachment 276881 [details]
Internode Repo

Install Cent OS 5.1 and use the attached file.
Comment 2 Jan Hutař 2008-01-14 04:58:00 EST
Hello,
just a guess. Could you please:

# yum clean all

and then repeat what have you done originally?
Comment 3 James Antill 2008-01-23 19:54:23 EST
 This is not a yum error per. se, it's a mirrors error.

RepoError: failure: RPMS/libpng-devel-1.2.10-7.1.el5_0­ .1.i386.rpm from update: 
[Errno 256] No more mirrors to try.


 We don't control the mirrors for CentOS.

Note You need to log in before you can comment on or make changes to this bug.